from matplotlib import pyplot

class Plot:

    def __init__(self, xticks, xticklabels) -> None:
        self.xticks: list[str] = xticks
        self.xtickslabels: list[str] = xticklabels
        fig, ax = pyplot.subplots()
        self.fig = fig
        self.ax = ax

    def run_line(
        self,
        label: str,
        y_coordinates: list[float],
        linestyle: str = "solid",
        color: str = "red",
    ):
        self.ax.plot(self.xticks, y_coordinates, c=color, linestyle=linestyle, label=label)  # , edgecolors = 'green')

    def run_scatter(
        self,
        label: str,
        y_coordinates: list[float],
        marker="*",
        color: str = "red",
        size=50,
    ):
        self.ax.scatter(self.xticks, y_coordinates, s=size, c=color, marker=marker, label=label)  # , edgecolors = 'green')

    def gen_figure(self, title):
        pyplot.title(title)
        self.ax.set_xticks(self.xticks)
        self.ax.set_xticklabels(self.xtickslabels)

        self.fig.legend()
        self.fig.set_size_inches(15, 10)
        self.fig.set_dpi(100)
        self.fig.savefig("new")
