#! /usr/bin/env python3

import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="poseidon-dsl",
    version="0.0.1",
    author="Hugo Brunie",
    author_email="hbrunie0@gmail.com",
    description="Simple perf model to help select tile sizing for stencil computation",
    long_description=long_description,
    long_description_content_type="text/markdown",
    packages=["perf_model"],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: Cecill-C License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.9",
    package_dir={"": "."},
    entry_points = {
              'console_scripts': [
                  'perf_model = perf_model.perf_model_main:run',
              ],
          },

)
